PAPIf_hl_region_begin(3)

NAME
PAPIf_hl_region_begin -

Reads and stores hardware events at the beginning of an instrumented code region.

SYNOPSIS

Detailed Description

Fortran Prototype:
    #include 'fpapi.h'
     PAPIf_hl_region_begin( C_STRING region, C_INT check )

Return values:
    PAPI_OK
    PAPI_ENOTRUN -- EventSet is currently not running or could not determined.
    PAPI_ESYS -- A system or C library call failed inside PAPI, see the errno variable.
    PAPI_EMISC -- PAPI has been deactivated due to previous erros.
    PAPI_ENOMEM -- Insufficient memory.

PAPIf_hl_region_begin reads hardware events and stores them internally at the beginning of an instrumented code region. If not specified via environment variable PAPI_EVENTS, default events are used. The first call sets all counters implicitly to zero and starts counting. Note that if PAPI_EVENTS is not set or cannot be interpreted, default hardware events are recorded.

Example:

* export PAPI_EVENTS="PAPI_TOT_INS,PAPI_TOT_CYC"
*

* integer retval
*
* call PAPIf_hl_region_begin("computation", retval)
* if ( retval .NE. PAPI_OK ) then
*      write (*,*) "PAPIf_hl_region_begin failed!"
* end if
*
* !do some computation here
*
* call PAPIf_hl_region_end("computation", retval)
* if ( retval .NE. PAPI_OK ) then
*     write (*,*) "PAPIf_hl_region_end failed!"
* end if
*
*

See Also:
    PAPI_hl_region_begin

Author

Generated automatically by Doxygen for PAPI from the source code.